from pydantic import BaseModel, ConfigDict, Field


class IdentifierDTO(BaseModel):
    key: str = Field(..., max_length=10)
    description: str = Field(..., max_length=2000)
    level: str = Field(..., max_length=1)
    complement: str = Field(..., max_length=5000)

    model_config = ConfigDict(from_attributes=True)
